## net.dontdrinkandroot.utils.cli
Class CommandLineArgumentParser

    java.lang.Object
      net.dontdrinkandroot.utils.cli.CommandLineArgumentParser

    public class CommandLineArgumentParser

extends java.lang.Object

Constructor Summary
`CommandLineArgumentParser(java.lang.Object annotatedObject)`

Method Summary
`void` `evaluateArguments(java.lang.String[] args)`
`boolean` `hasErrors()`
`void` `printErrors()`
`void` `printUsage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineArgumentParser

    public CommandLineArgumentParser(java.lang.Object annotatedObject)

Method Detail

### evaluateArguments

    public final void evaluateArguments(java.lang.String[] args)

### hasErrors

    public final boolean hasErrors()

### printErrors

    public final void printErrors()

### printUsage

    public final void printUsage()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.